#include <stdio.h>
#include <stdlib.h>
int main() {
	long n,k,i,j,br=0,l=0,x=0;
	scanf("%ld%ld",&n,&k);
	long a[n],b[n];
	for(i=0;i<n;i++){
		scanf("%ld",&a[i]);
	}
	for(j=-n;j<=n;j++){
		for(i=0;i<n;i++){
			if(j==a[i]){
				br++;
			}
		}
		if(br>=k){
			b[l]=j;
			x++;
			l++;
		}
		br=0;
	}
	printf("%ld",x);
	printf("\n");
	for(l=0;l<x;l++)printf("%ld ",b[l]);
}